#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>
#include <termios.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <netdb.h>
#include <stdlib.h>
#include <errno.h>
#include <arpa/inet.h>

#define MOVE_FOWARD '1'
#define MOVE_BACK   '2'
#define TURN_LEFT   '3'
#define TURN_RIGHT  '4'
#define TEST        '5'
#define STOP        '0'

int main(int argc, char **argv){
    int fd,n; 
	unsigned char command[256]={0xef,0xfe,0x01,0x05,0xdc,0xef,0xfe,0x01,0x05,0xdc};

/*
	int sockfd = 0;
	char recvBuff[1024];
	struct sockaddr_in serv_addr;

	if (argc != 2)
	{
		printf("\n Usage:%s <ip of server> \n",argv[0]);
		return 1;
	}

	memset(recvBuff,'0',sizeof(recvBuff));
	if ((sockfd = socket(AF_INET,SOCK_STREAM, 0)) < 0)
	{
		printf("\n Error : Could not create socket \n");
		return 1;
	}

	memset(&serv_addr,'0',sizeof(serv_addr));


	serv_addr.sin_family = AF_INET;
	serv_addr.sin_port = htons(5000);

	if (inet_pton(AF_INET,argv[1],&serv_addr.sin_addr)<=0)
	{
		printf("\n inet_pton error occured \n");
		return 1;
	}

	if (connect(sockfd,(struct sockaddr *)&serv_addr,sizeof(serv_addr)) < 0)
	{
		printf("\n Error : Connect Failed \n");
		return 1;
	}

	while ((n = read(sockfd, recvBuff, sizeof(recvBuff)-1)) > 0)
	{
		recvBuff[n] = 0;
		if (fputs(recvBuff , stdout) == EOF)
		{
			printf("\n Error : Fputs error \n");
		}
	}

	if (n < 0)
	{
		printf("\n Read error \n");
	}
*/
	fd = open("/dev/ttyS0", O_RDWR | O_NOCTTY | O_NDELAY);

	if (fd == -1){
		perror("open port : Unable to open ttyAMAO - ");
		return (-1);
	}

	struct termios options;
	tcgetattr(fd,&options);
	options.c_cflag = B9600 | CS8 | CLOCAL | CREAD;
	options.c_iflag = IGNPAR;
	options.c_oflag = 0;
	options.c_lflag = 0;
	tcflush(fd,TCIFLUSH);
	tcsetattr(fd,TCSANOW,&options);

	fcntl(fd, F_SETFL , 0);
	/*
	switch (argv[1][0])
	{
		case MOVE_FOWARD:command = 0x02;break;
		case MOVE_BACK:  command = 0x02;break;
		case TURN_LEFT:  command = 0x03;break;
		case TURN_RIGHT: command = 0x04;break;
		case TEST:       command = 0x05;break;
		case STOP:       command = 0x00;break;
		default:         command = 0x00;break;
	}
	*/
	n = write(fd, command,sizeof(command));
	if (n < 0){
		perror("Write failed -");
		return -1;
	}

	close(fd);
	return 0;
}
