module angle_to_tf(clk,Rst_n,angle,toggle_flag);

	input clk;
	input Rst_n;
	input [7:0]angle;              //target angle
	output reg [17:0]toggle_flag;  //tf

	always@(posedge clk or negedge Rst_n) begin
		if (!Rst_n)
			toggle_flag <= 16'b0;
		else
			case (angle)
			8'd0:			toggle_flag <= 16'd6000	;
			8'd1:			toggle_flag <= 16'd6133	;
			8'd2:			toggle_flag <= 16'd6266	;
			8'd3:			toggle_flag <= 16'd6399	;    
			8'd4:			toggle_flag <= 16'd6532	;			
			8'd5:			toggle_flag <= 16'd6665	;
			8'd6:			toggle_flag <= 16'd6798	;
			8'd7:			toggle_flag <= 16'd6931	;
			8'd8:			toggle_flag <= 16'd7064	;			
			8'd9:			toggle_flag <= 16'd7197	;
			8'd10:		toggle_flag <= 16'd7330	;
			8'd11:		toggle_flag <= 16'd7463	;
			8'd12:		toggle_flag <= 16'd7596	;			
			8'd13:		toggle_flag <= 16'd7729	;
			8'd14:		toggle_flag <= 16'd7862	;
			8'd15:		toggle_flag <= 16'd7995	;
			8'd16:		toggle_flag <= 16'd8128	;			
			8'd17:		toggle_flag <= 16'd8261	;
			8'd18:		toggle_flag <= 16'd8394	;
			8'd19:		toggle_flag <= 16'd8527	;
			8'd20:		toggle_flag <= 16'd8660	;			
			8'd21:		toggle_flag <= 16'd8793	;
			8'd22:		toggle_flag <= 16'd8926	;
			8'd23:		toggle_flag <= 16'd9059	;
			8'd24:		toggle_flag <= 16'd9192	;			
			8'd25:		toggle_flag <= 16'd9325	;
			8'd26:		toggle_flag <= 16'd9458	;
			8'd27:		toggle_flag <= 16'd9591	;
			8'd28:		toggle_flag <= 16'd9724	;			
			8'd29:		toggle_flag <= 16'd9857	;
			8'd30:		toggle_flag <= 16'd9990	;
			8'd31:		toggle_flag <= 16'd10123	;
			8'd32:		toggle_flag <= 16'd10256	;			
			8'd33:		toggle_flag <= 16'd10389	;
			8'd34:		toggle_flag <= 16'd10522	;			
			8'd35:		toggle_flag <= 16'd10655	;
			8'd36:		toggle_flag <= 16'd10788	;
			8'd37:		toggle_flag <= 16'd10921	;
			8'd38:		toggle_flag <= 16'd11054	;			
			8'd39:		toggle_flag <= 16'd11187	;
			8'd40:		toggle_flag <= 16'd11320	;			
			8'd41:		toggle_flag <= 16'd11453	;
			8'd42:		toggle_flag <= 16'd11586	;
			8'd43:		toggle_flag <= 16'd11719	;
			8'd44:		toggle_flag <= 16'd11852	;			
			8'd45:		toggle_flag <= 16'd11985	;
			8'd46:		toggle_flag <= 16'd12118	;
			8'd47:		toggle_flag <= 16'd12251	;
			8'd48:		toggle_flag <= 16'd12384	;			
			8'd49:		toggle_flag <= 16'd12517	;			
			8'd50:		toggle_flag <= 16'd12650	;			
			8'd51:		toggle_flag <= 16'd12783	;
			8'd52:		toggle_flag <= 16'd12916	;
			8'd53:		toggle_flag <= 16'd13049	;
			8'd54:		toggle_flag <= 16'd13182	;					
			8'd55:		toggle_flag <= 16'd13315	;
			8'd56:		toggle_flag <= 16'd13448	;
			8'd57:		toggle_flag <= 16'd13581	;
			8'd58:		toggle_flag <= 16'd13714	;			
			8'd59:		toggle_flag <= 16'd13847	;			
			8'd60:		toggle_flag <= 16'd13980	;			
			8'd61:		toggle_flag <= 16'd14113	;
			8'd62:		toggle_flag <= 16'd14246	;
			8'd63:		toggle_flag <= 16'd14379	;
			8'd64:		toggle_flag <= 16'd14512	;			
			8'd65:		toggle_flag <= 16'd14645	;
			8'd66:		toggle_flag <= 16'd14778	;
			8'd67:		toggle_flag <= 16'd14911	;
			8'd68:		toggle_flag <= 16'd15044	;			
			8'd69:		toggle_flag <= 16'd15177	;			
			8'd70:		toggle_flag <= 16'd15310	;			
			8'd71:		toggle_flag <= 16'd15443	;
			8'd72:		toggle_flag <= 16'd15576	;
			8'd73:		toggle_flag <= 16'd15709	;
			8'd74:		toggle_flag <= 16'd15842	;			
			8'd75:		toggle_flag <= 16'd15975	;
			8'd76:		toggle_flag <= 16'd16108	;
			8'd77:		toggle_flag <= 16'd16241	;
			8'd78:		toggle_flag <= 16'd16374	;			
			8'd79:		toggle_flag <= 16'd16507	;			
			8'd80:		toggle_flag <= 16'd16640	;			
			8'd81:		toggle_flag <= 16'd16773	;
			8'd82:		toggle_flag <= 16'd16906	;
			8'd83:		toggle_flag <= 16'd17039	;
			8'd84:		toggle_flag <= 16'd17172	;			
			8'd85:		toggle_flag <= 16'd17305	;
			8'd86:		toggle_flag <= 16'd17438	;
			8'd87:		toggle_flag <= 16'd17571	;
			8'd88:		toggle_flag <= 16'd17704	;			
			8'd89:		toggle_flag <= 16'd17837	;			
			8'd90:		toggle_flag <= 16'd17970	;			
			8'd91:		toggle_flag <= 16'd18103	;
			8'd92:		toggle_flag <= 16'd18236	;
			8'd93:		toggle_flag <= 16'd18369	;
			8'd94:		toggle_flag <= 16'd18502   ;			
			8'd95:		toggle_flag <= 16'd18635	;
			8'd96:		toggle_flag <= 16'd18768	;
			8'd97:		toggle_flag <= 16'd18901	;
			8'd98:		toggle_flag <= 16'd19034	;			
			8'd99:		toggle_flag <= 16'd19167	;			
			8'd100:		toggle_flag <= 16'd19300	;
			8'd101:		toggle_flag <= 16'd19433	;
			8'd102:		toggle_flag <= 16'd19566   ;
			8'd103:		toggle_flag <= 16'd19699	;
			8'd104:		toggle_flag <= 16'd19832	;			
			8'd105:		toggle_flag <= 16'd19965	;
			8'd106:		toggle_flag <= 16'd20098	;
			8'd107:		toggle_flag <= 16'd20231	;
			8'd108:		toggle_flag <= 16'd20364	;			
			8'd109:		toggle_flag <= 16'd20497	;
			8'd110:		toggle_flag <= 16'd20630	;
			8'd111:		toggle_flag <= 16'd20763	;
			8'd112:		toggle_flag <= 16'd20896	;			
			8'd113:		toggle_flag <= 16'd21029	;
			8'd114:		toggle_flag <= 16'd21162	;
			8'd115:		toggle_flag <= 16'd21295	;
			8'd116:		toggle_flag <= 16'd21428	;			
			8'd117:		toggle_flag <= 16'd21561	;
			8'd118:		toggle_flag <= 16'd21694	;
			8'd119:		toggle_flag <= 16'd21827	;
			8'd120:		toggle_flag <= 16'd21960	;			
			8'd121:		toggle_flag <= 16'd22093	;
			8'd122:		toggle_flag <= 16'd22226	;
			8'd123:		toggle_flag <= 16'd22359	;
			8'd124:		toggle_flag <= 16'd22492	;			
			8'd125:		toggle_flag <= 16'd22625	;
			8'd126:		toggle_flag <= 16'd22758	;
			8'd127:		toggle_flag <= 16'd22891	;
			8'd128:		toggle_flag <= 16'd23024	;			
			8'd129:		toggle_flag <= 16'd23157	;
			8'd130:		toggle_flag <= 16'd23290	;
			8'd131:		toggle_flag <= 16'd23423	;
			8'd132:		toggle_flag <= 16'd23556	;			
			8'd133:		toggle_flag <= 16'd23689	;
			8'd134:		toggle_flag <= 16'd23822	;			
			8'd135:		toggle_flag <= 16'd23955	;
			8'd136:		toggle_flag <= 16'd24088	;
			8'd137:		toggle_flag <= 16'd24221	;
			8'd138:		toggle_flag <= 16'd24354	;			
			8'd139:		toggle_flag <= 16'd24487	;
			8'd140:		toggle_flag <= 16'd24620	;			
			8'd141:		toggle_flag <= 16'd24753	;
			8'd142:		toggle_flag <= 16'd24886	;
			8'd143:		toggle_flag <= 16'd25019	;
			8'd144:		toggle_flag <= 16'd25152	;			
			8'd145:		toggle_flag <= 16'd25285	;
			8'd146:		toggle_flag <= 16'd25418	;
			8'd147:		toggle_flag <= 16'd25551	;
			8'd148:		toggle_flag <= 16'd25684	;			
			8'd149:		toggle_flag <= 16'd25817	;			
			8'd150:		toggle_flag <= 16'd25950	;			
			8'd151:		toggle_flag <= 16'd26083	;
			8'd152:		toggle_flag <= 16'd26216	;
			8'd153:		toggle_flag <= 16'd26349	;
			8'd154:		toggle_flag <= 16'd26482	;			
			8'd155:		toggle_flag <= 16'd26615	;
			8'd156:		toggle_flag <= 16'd26748	;
			8'd157:		toggle_flag <= 16'd26881	;
			8'd158:		toggle_flag <= 16'd27014	;			
			8'd159:		toggle_flag <= 16'd27147	;			
			8'd160:		toggle_flag <= 16'd27280	;			
			8'd161:		toggle_flag <= 16'd27413	;
			8'd162:		toggle_flag <= 16'd27546	;
			8'd163:		toggle_flag <= 16'd27679	;
			8'd164:		toggle_flag <= 16'd27812	;			
			8'd165:		toggle_flag <= 16'd27945	;
			8'd166:		toggle_flag <= 16'd28078	;
			8'd167:		toggle_flag <= 16'd28211	;
			8'd168:		toggle_flag <= 16'd28344	;			
			8'd169:		toggle_flag <= 16'd28477	;			
			8'd170:		toggle_flag <= 16'd28610	;			
			8'd171:		toggle_flag <= 16'd28743	;
			8'd172:		toggle_flag <= 16'd28876	;
			8'd173:		toggle_flag <= 16'd29009	;
			8'd174:		toggle_flag <= 16'd29142	;			
			8'd175:		toggle_flag <= 16'd29275	;
			8'd176:		toggle_flag <= 16'd29408	;
			8'd177:		toggle_flag <= 16'd29541	;
			8'd178:		toggle_flag <= 16'd29674	;			
			8'd179:		toggle_flag <= 16'd29807	;			
			8'd180:		toggle_flag <= 16'd29940	;	
			default :	toggle_flag <= 1'b0;
		endcase				
	end
	
	
endmodule 